Subject: Re: Created branch in wrong place... how to fix?

From: Jakub Narebski <[email-masked]>
Date: Wed, 01 Jun 2011 06:32:24 -0700 (PDT)

Howard Miller <[email-masked]> writes:

> I created a branch in a project and did a series of commits. I now
> discover that I really wanted to make all those changes against a
> completely different branch of the same project. There shouldn't be
> any issues as the branch introduces entirely new files (no changes to
> existing code).
>
> I'm struggling to see a way to do this without loosing the history.
> Some Google'ing suggests 'rebase --onto' but I'm struggling to see how
> this works or if it is appropriate. Any pointers much appreciated :)
> Thanks.

This is decidely work for git rebase:

  $ git rebase --onto <where it should be based> <where it is based> <branch>

-- 
Jakub Narebski
Poland
ShadeHawk on #git